JaxbTypeAttribute (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.jaxb.cfg
Enum JaxbTypeAttribute

    java.lang.Object
      java.lang.Enum<JaxbTypeAttribute>
          org.hibernate.internal.jaxb.cfg.JaxbTypeAttribute

All Implemented Interfaces:
  Serializable, Comparable<JaxbTypeAttribute>

    public enum JaxbTypeAttribute

extends Enum<JaxbTypeAttribute>

Java class for type-attribute.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="type-attribute">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="auto-flush"/>
         <enumeration value="create"/>
         <enumeration value="create-onflush"/>
         <enumeration value="delete"/>
         <enumeration value="dirty-check"/>
         <enumeration value="evict"/>
         <enumeration value="flush"/>
         <enumeration value="flush-entity"/>
         <enumeration value="load"/>
         <enumeration value="load-collection"/>
         <enumeration value="lock"/>
         <enumeration value="merge"/>
         <enumeration value="post-collection-recreate"/>
         <enumeration value="post-collection-remove"/>
         <enumeration value="post-collection-update"/>
         <enumeration value="post-commit-delete"/>
         <enumeration value="post-commit-insert"/>
         <enumeration value="post-commit-update"/>
         <enumeration value="post-delete"/>
         <enumeration value="post-insert"/>
         <enumeration value="post-load"/>
         <enumeration value="post-update"/>
         <enumeration value="pre-collection-recreate"/>
         <enumeration value="pre-collection-remove"/>
         <enumeration value="pre-collection-update"/>
         <enumeration value="pre-delete"/>
         <enumeration value="pre-insert"/>
         <enumeration value="pre-load"/>
         <enumeration value="pre-update"/>
         <enumeration value="refresh"/>
         <enumeration value="replicate"/>
         <enumeration value="save"/>
         <enumeration value="save-update"/>
         <enumeration value="update"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AUTO_FLUSH`
`CREATE`
`CREATE_ONFLUSH`
`DELETE`
`DIRTY_CHECK`
`EVICT`
`FLUSH`
`FLUSH_ENTITY`
`LOAD`
`LOAD_COLLECTION`
`LOCK`
`MERGE`
`POST_COLLECTION_RECREATE`
`POST_COLLECTION_REMOVE`
`POST_COLLECTION_UPDATE`
`POST_COMMIT_DELETE`
`POST_COMMIT_INSERT`
`POST_COMMIT_UPDATE`
`POST_DELETE`
`POST_INSERT`
`POST_LOAD`
`POST_UPDATE`
`PRE_COLLECTION_RECREATE`
`PRE_COLLECTION_REMOVE`
`PRE_COLLECTION_UPDATE`
`PRE_DELETE`
`PRE_INSERT`
`PRE_LOAD`
`PRE_UPDATE`
`REFRESH`
`REPLICATE`
`SAVE`
`SAVE_UPDATE`
`UPDATE`

Method Summary
`static JaxbTypeAttribute` | `fromValue(String v)`
`String` | `value()`
`static JaxbTypeAttribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbTypeAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO_FLUSH

    public static final JaxbTypeAttribute AUTO_FLUSH

### CREATE

    public static final JaxbTypeAttribute CREATE

### CREATE_ONFLUSH

    public static final JaxbTypeAttribute CREATE_ONFLUSH

### DELETE

    public static final JaxbTypeAttribute DELETE

### DIRTY_CHECK

    public static final JaxbTypeAttribute DIRTY_CHECK

### EVICT

    public static final JaxbTypeAttribute EVICT

### FLUSH

    public static final JaxbTypeAttribute FLUSH

### FLUSH_ENTITY

    public static final JaxbTypeAttribute FLUSH_ENTITY

### LOAD

    public static final JaxbTypeAttribute LOAD

### LOAD_COLLECTION

    public static final JaxbTypeAttribute LOAD_COLLECTION

### LOCK

    public static final JaxbTypeAttribute LOCK

### MERGE

    public static final JaxbTypeAttribute MERGE

### POST_COLLECTION_RECREATE

    public static final JaxbTypeAttribute POST_COLLECTION_RECREATE

### POST_COLLECTION_REMOVE

    public static final JaxbTypeAttribute POST_COLLECTION_REMOVE

### POST_COLLECTION_UPDATE

    public static final JaxbTypeAttribute POST_COLLECTION_UPDATE

### POST_COMMIT_DELETE

    public static final JaxbTypeAttribute POST_COMMIT_DELETE

### POST_COMMIT_INSERT

    public static final JaxbTypeAttribute POST_COMMIT_INSERT

### POST_COMMIT_UPDATE

    public static final JaxbTypeAttribute POST_COMMIT_UPDATE

### POST_DELETE

    public static final JaxbTypeAttribute POST_DELETE

### POST_INSERT

    public static final JaxbTypeAttribute POST_INSERT

### POST_LOAD

    public static final JaxbTypeAttribute POST_LOAD

### POST_UPDATE

    public static final JaxbTypeAttribute POST_UPDATE

### PRE_COLLECTION_RECREATE

    public static final JaxbTypeAttribute PRE_COLLECTION_RECREATE

### PRE_COLLECTION_REMOVE

    public static final JaxbTypeAttribute PRE_COLLECTION_REMOVE

### PRE_COLLECTION_UPDATE

    public static final JaxbTypeAttribute PRE_COLLECTION_UPDATE

### PRE_DELETE

    public static final JaxbTypeAttribute PRE_DELETE

### PRE_INSERT

    public static final JaxbTypeAttribute PRE_INSERT

### PRE_LOAD

    public static final JaxbTypeAttribute PRE_LOAD

### PRE_UPDATE

    public static final JaxbTypeAttribute PRE_UPDATE

### REFRESH

    public static final JaxbTypeAttribute REFRESH

### REPLICATE

    public static final JaxbTypeAttribute REPLICATE

### SAVE

    public static final JaxbTypeAttribute SAVE

### SAVE_UPDATE

    public static final JaxbTypeAttribute SAVE_UPDATE

### UPDATE

    public static final JaxbTypeAttribute UPDATE

Method Detail

### values

    public static JaxbTypeAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbTypeAttribute c : JaxbTypeAttribute.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbTypeAttribute valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbTypeAttribute fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.